/***************************************************************************
                          csvimportdlg.h  -  description
                             -------------------
    begin                : Don Aug 21 2003
    copyright            : (C) 2003 by Dominik Seichter
    email                : domseichter@web.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CSVIMPORTDLG_H
#define CSVIMPORTDLG_H

#include <qwidget.h>
#include <kmainwindow.h>

class KComboBox;
class KIntNumInput;
class KPushButton;
class KURLRequester;
class QFrame;
class QTable;
class QSqlDatabase;
class CSVImportDlg : public KMainWindow {
    Q_OBJECT
    public:
        CSVImportDlg(QSqlDatabase* database);
        ~CSVImportDlg();

    private slots:
        void settingsChanged();
        void setCol();
        void updateFields();
        void updateCol( int c );

        void enableControls();

        void loadConfig();
        void saveConfig();

        void import();
        
    private:
        KComboBox* comboField;
        KComboBox* comboSQL;
        KIntNumInput* spinCol;
        KPushButton* buttonSet;
        KPushButton* buttonOk;
        KURLRequester* requester;
        QFrame* frame;
        QTable* table;

        QSqlDatabase* db;

        QString comment;
        QString separator;
        QString quote;
};

#endif
